import numpy as np
import numpy.random_intel
import tomopy, time as t

#obj = np.zeros(shape=(512,512,512), dtype=np.float32)
#for i in range(obj.shape[0]):
#    obj[i] = np.asarray(np.random_intel.randn( *(obj[i].shape) ), dtype=np.float32)

obj = tomopy.shepp3d(size=1024)
ang = tomopy.angles(750) # Generate uniformly spaced tilt angles.

sim = tomopy.project(obj, ang) # Calculate projections.

np.save('projection.npy', sim)
np.save('angles.npy', ang)
