#export MKL_THREADING_LAYER=SEQUENTIAL
#export MKL_NUM_THREADS=1

export VTUNE_DIR=/localdisk/psxe/vtune_amplifier_xe_2017.2.0.499904/bin64
export BASE_DIR=/localdisk/work/$USER
export WORK_DIR=$BASE_DIR/tmp/tomopy
export VTUNE_OUT_DIR=/tmp/$USER/tomopy

export PYTHON_EXEC=$BASE_DIR/miniconda3/envs/tomopy/bin/python

# -mrte-mode=native
LD_PRELOAD=$BASE_DIR/miniconda3/envs/tomopy/lib/libmkl_rt.so $VTUNE_DIR/amplxe-cl -collect hotspots -mrte-mode=native \
    -run-pass-thru=--no-altstack \
    -knob enable-user-tasks=true \
    -knob analyze-openmp=true \
    -app-working-dir $WORK_DIR \
    -r $VTUNE_OUT_DIR \
    -- $PYTHON_EXEC $WORK_DIR/recon_bench.py
